Subject: Re: bug#26958: Can we make wavy underlines scale like straight ones?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 May 2017 18:23:16 +0300

> From: Clément Pit--Claudel <[email-masked]>
> Date: Tue, 16 May 2017 23:47:48 -0400
> 
> Straight underlines get thicker when font size increases

That's not really accurate, see my other messages.

> but wavy underlines do not.  The problem is particularly visible on hi-resolution displays, where wavy underlines look really tiny. This problem can be observed on all displays by running the following and pressing C-x C-= a few times:
> 
> (font-lock-mode -1)
> (insert (propertize "AAAAA" 'face '(:underline (:style line)))
>         "\n" (propertize "AAAAA" 'face '(:underline (:style wave))))
> 
> I've seen the problem mentioned a few times online (https://emacs.stackexchange.com/questions/24713/change-size-of-wavy-underlines-for-hidpi-displays, https://www.reddit.com/r/emacs/comments/51wm7d/emacs_on_hidpi_displays/).
> 
> For xterm.c, the relevant function seems to be x_draw_underwave.

How about sending a patch?

But I suggest to read about the related complications first, because I
think this issue is not as simple as it sounds.